Start Serving
curl --request POST \
--url https://{host}/api/playground/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"gpus": 1,
"ttl_s": 43230,
"image_source": "default",
"extra_args": [
"<string>"
]
}
'import requests
url = "https://{host}/api/playground/start"
payload = {
"model": "<string>",
"gpus": 1,
"ttl_s": 43230,
"image_source": "default",
"extra_args": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
gpus: 1,
ttl_s: 43230,
image_source: 'default',
extra_args: ['<string>']
})
};
fetch('https://{host}/api/playground/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Start Serving
POST
/
api
/
playground
/
start
Start Serving
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
HF id / absolute path / run:<run_id>
Required string length:
1 - 512必填范围:
1 <= x <= 8必填范围:
60 <= x <= 86400default = the platform's playground_image; run = the image the run trained with
可用选项:
default, run Maximum array length:
32响应
Successful Response